/********************************************************************
*   A9101F4CONFIG.h
*   RF Chip-A9101F4 Configure Definitions
*
*   This file provides the constants associated with the
*   AMICCOM A9101F4 device.
*
********************************************************************/
#ifndef _A9101F4CONFIG_h_
#define _A9101F4CONFIG_h_



const Uint8 code ID_Tab[8]={0x34,0x75,0xc5,0x2A,0xC7,0x33,0x45,0xEA}; //ID code
const Uint8 code A9101_CONFIGTABLE[]=
{
//	  0x00,//[0x800] Mode        register,
//		0x00,//[0x801] Modec1      register,	 
//		0x22,//[0x802] Modec2      register,	 
//		0x00,//[0x803] CALIBRATION register,
//		0x3F,//[0x804] FIFO1       register,	 
//		0x00,//[0x805] FIFO2       register,
//		0x23,//[0x806] Clock       register, LODV=0 Calvin_0x23
//		0x81,//[0x807] VCB         register,	 0x91 Calvin_0x81
//		0x00,//[0x808] RCOSC3      register,
//		0x00,//[0x809] CKO         register,
//		0x04,//[0x80A] GIO1        register,
//		0x00,//[0x80B] GIO2        register,
//		0x5D,//[0x80C] DATARATECLK register,
//		0x3C,//[0x80D] PLL1        register,
//		0x0E,//[0x80E] PLL2        register,
//		0x6D,//[0x80F] PLL3        register,	 
//		0xDD,//[0x810] PLL4        register,
//		0x08,//[0x811] PLL5        register,
//		0x28,//[0x812] CHGROUP1    register,
//		0x50,//[0x813] CHGROUP2    register,
//		0x2E,//[0x814] TX1         register,	 
//		0x30,//[0x815] TX2         register,
//		0x92,//[0x816] DELAY1      register,     0x92 PDL,TDL,DPR 2016/11/10 U 02:36:16
//		0x5F,//[0x817] DELAY2      register,     0x5F
//		0xE0,//[0x818] RX          register,  
//		0x7F,//[0x819] RXGAIN1     register,	 
//		0x81,//[0x81A] RXGAIN2     register,    
//		0x02,//[0x81B] RXGAIN3     register,
//		0x18,//[0x81C] RXGAIN4     register,
//		0x00,//[0x81D] RSSI        register,
//		0xF2,//[0x81E] ADC         register,
//		0x17,//[0x81F] CODE1       register,
//		0xE6,//[0x820] CODE2       register,	S07=0XC6 U01=0XE6 DCL=6->7
//		0x2A,//[0x821] CODE3       register,
//		0x66,//[0x822] IFCAL1      register,    0x06
//		0x0F,//[0x823] IFCAL2      register,    0x00
//		0x06,//[0x824] VCOC        register,
//		0xC4,//[0x825] VCOBAND1    register,
//		0x80,//[0x826] VCOBAND2    register,
//		0x28,//[0x827] VCODEV1     register,	
//		0x19,//[0x828] VCODEV2     register,
//		0x80,//[0x829] VCODEV3     register,
//		0xF7,//[0x82A] VCOMODDELAY register,
//		0x20,//[0x82B] BATTERY     register,  0x00
//		0x7F,//[0x82C] TXTEST      register,	0x7F
//		0x47,//[0x82D] RXDEM1      register,	
//		0x80,//[0x82E] RXDEM2      register,
//		0x7A,//[0x82F] CPC1        register,  0x7A
//		0x7A,//[0x830] CPC2        register,  0X7A
//		0x25,//[0x831] CRYSTAL     register,
//		0x58,//[0x832] PLLTEST     register,
//		0x80,//[0x833] VCOTEST     register,
//		0x00,//[0x834] RFANALOG    register,
//		0x00,//[0x835] IFAT        register,
//		0x17,//[0x836] CHSELECT    register,	
//		0x00,//[0x837] VRB         register,
//		0x00,//[0x838] DataRate    register,
//		0x00,//[0x839] FCR         register,
//		0x00,//[0x83A] ARD         register,
//		0x00,//[0x83B] AFEP        register,
//		0x00,//[0x83C] WMUX        register,
//		0x00,//[0x83D] FCB0        register,
//		0x00,//[0x83E] FCB1        register,
//		0x00,//[0x83F] FCB2        register,
//		0x00,//[0x840] FCB3        register,
//		0x00,//[0x841] ID0         register,
//		0x00,//[0x842] ID1         register,
//		0x00,//[0x843] ID2         register,
//		0x00,//[0x844] ID3         register,
//		0x00,//[0x845] ID4         register,
//		0x00,//[0x846] ID5         register,
//		0x00,//[0x847] ID6         register,
//		0x00,//[0x848] ID7         register,
//		0x00,//[0x849] DID0        register,
//		0x00,//[0x84A] DID1        register,
//		0x00,//[0x84B] DID2        register,
//		0x00,//[0x84C] DID3        register,
//		0x00,//[0x84D] ADCCTL      register,
//		0x00,//[0x84E] ADCAVG1     register,
//		0x00,//[0x84F] ADCAVG2     register,
//		0x00,//[0x850] ADCAVG3     register,
//		0x00,//[0x851] TMRINV      register,
//		0x00,//[0x852] TMRCTL      register,
//		0x76,//[0x853] EXT1        register, [RGVD1:GRVD0] = 10
//		0x84,//[0x854] EXT2        register,
//		0x20,//[0x855] EXT3        register,
//		0x80,//[0x856] EXT4        register, 
//		0x28,//[0x857] EXT5        register,
//		0xD0,//[0x858] PWRCTL      register,
//		0x00,//[0x859] INTSW       register,
//		0x00,//[0x85A] RCOSC4      register,
//		0x00,//[0x85B] RCOSC5      register,
//		0x00,//[0x85C] RCOSC6      register,
//		0x00,//[0x85D] RCOSC7      register,
//		0x00,//[0x85E] RCOSC8      register,
//		0x00,//[0x85F] RTC         register,
//		0x00,//[0x860] AGC1        register,
//		0x01,//[0x861] AGC2        register,
//		0x01,//[0x862] AGC3        register,
//		0x0A,//[0x863] FLASH       register,
//		0x00,//[0x864] RCOSC1      register,
//		0x00,//[0x865] RCOSC2      register,
//		0x00,//[0x866] WOR         register,
//		0x00,//[0x867] TCODE       register,
//		0x00,//[0x868] SYNCS       register,  SYNCS=0;MRCKS=0
//		0x20,//[0x869] CTR         register,
//		0x00,//[0x86A] RCKS        register,
//		0x00,//[0x86B] DET         register,	
//		0x00,//[0x86C] DC          register,
//		0x00,//[0x86D] PRE          register,
//		0x00,//[0x86E] PALY          register,  0X00  Calvin_0x0F  0xFF
//   	0x00,//[0x86F] PA           register,	
//		0x00//[0x870] INTF          register,	
		0x00,//[0x800] Mode        register,
		0x00,//[0x801] Modec1      register,	 Standby mode
		0x22,//[0x802] Modec2      register,	 FIFO mode,  Enable AIF
		0x00,//[0x803] CALIBRATION register,
		0x3F,//[0x804] FIFO1       register,	 
		0x00,//[0x805] FIFO2       register,
		0x20,//[0x806] Clock       register,
		0x81,//[0x807] VCB         register,	 
		0x00,//[0x808] RCOSC3      register,
		0x00,//[0x809] CKO         register,
		0x04,//[0x80A] GIO1        register,
		0x00,//[0x80B] GIO2        register,
		0x5D,//[0x80C] DATARATECLK register,
		0x3C,//[0x80D] PLL1        register,
		0x0E,//[0x80E] PLL2        register,
		0x68,//[0x80F] PLL3        register,	 
		0x1E,//[0x810] PLL4        register,
		0x68,//[0x811] PLL5        register,
		0x28,//[0x812] CHGROUP1    register,
		0x50,//[0x813] CHGROUP2    register,
		0x2E,//[0x814] TX1         register,	 
		0x30,//[0x815] TX2         register,
		0x12,//[0x816] DELAY1      register,     
		0x5F,//[0x817] DELAY2      register,
		0x60,//[0x818] RX          register,   	 
		0x7F,//[0x819] RXGAIN1     register,	 
		0x81,//[0x81A] RXGAIN2     register,     
		0x02,//[0x81B] RXGAIN3     register,
		0x18,//[0x81C] RXGAIN4     register,
		0x00,//[0x81D] RSSI        register,
		0xD2,//[0x81E] ADC         register,
		0x17,//[0x81F] CODE1       register,
		0xE6,//[0x820] CODE2       register,	PMD=2, ETH=1, DCL=7, edit
		0x2A,//[0x821] CODE3       register,
		0x06,//[0x822] IFCAL1      register,
		0x00,//[0x823] IFCAL2      register,
		0x26,//[0x824] VCOC        register,
		0xC4,//[0x825] VCOBAND1    register,
		0x80,//[0x826] VCOBAND2    register,	
		0x78,//[0x827] VCODEV1     register,	
		0x19,//[0x828] VCODEV2     register,
		0x80,//[0x829] VCODEV3     register,
		0xF7,//[0x82A] VCOMODDELAY register,
		0x20,//[0x82B] BATTERY     register,
		0x37,//[0x82C] TXTEST      register,	TX power = 7 , 2, 1
		0x27,//[0x82D] RXDEM1      register,	SLF=7 ,MLP=0, DCM=1, edit
		0x80,//[0x82E] RXDEM2      register,
		0x7A,//[0x82F] CPC1        register,    
		0x7A,//[0x830] CPC2        register,
		0x25,//[0x831] CRYSTAL     register,
		0x54,//[0x832] PLLTEST     register,
		0x80,//[0x833] VCOTEST     register,
		0x00,//[0x834] RFANALOG    register,
		0x00,//[0x835] IFAT        register,
		0x12,//[0x836] CHSELECT    register,	
		0x00,//[0x837] VRB         register,
		0x00,//[0x838] DataRate    register,
		0x00,//[0x839] FCR         register,
		0x00,//[0x83A] ARD         register,
		0x00,//[0x83B] AFEP        register,
		0x00,//[0x83C] WMUX        register,
		0x00,//[0x83D] FCB0        register,
		0x00,//[0x83E] FCB1        register,
		0x00,//[0x83F] FCB2        register,
		0x00,//[0x840] FCB3        register,
		0x00,//[0x841] ID0         register,
		0x00,//[0x842] ID1         register,
		0x00,//[0x843] ID2         register,
		0x00,//[0x844] ID3         register,
		0x00,//[0x845] ID4         register,
		0x00,//[0x846] ID5         register,
		0x00,//[0x847] ID6         register,
		0x00,//[0x848] ID7         register,
		0x00,//[0x849] DID0        register,
		0x00,//[0x84A] DID1        register,
		0x00,//[0x84B] DID2        register,
		0x00,//[0x84C] DID3        register,
		0x00,//[0x84D] ADCCTL      register,
		0x00,//[0x84E] ADCAVG1     register,
		0x00,//[0x84F] ADCAVG2     register,
		0x00,//[0x850] ADCAVG3     register,
		0x00,//[0x851] TMRINV      register,
		0x00,//[0x852] TMRCTL      register,
		0x76,//[0x853] EXT1        register,
		0x84,//[0x854] EXT2        register,
		0x20,//[0x855] EXT3        register,
		0x00,//[0x856] EXT4        register, 
		0x28,//[0x857] EXT5        register,
		0xD0,//[0x858] PWRCTL      register,
		0x00,//[0x859] INTSW       register,
		0x00,//[0x85A] RCOSC4      register,
		0x00,//[0x85B] RCOSC5      register,
		0x00,//[0x85C] RCOSC6      register,
		0x00,//[0x85D] RCOSC7      register,
		0x00,//[0x85E] RCOSC8      register,
		0x00,//[0x85F] RTC         register,
		0x00,//[0x860] AGC1        register,
		0x01,//[0x861] AGC2        register,
		0x01,//[0x862] AGC3        register,
		0x0A,//[0x863] FLASH       register,
		0x00,//[0x864] RCOSC1      register,
		0x00,//[0x865] RCOSC2      register,
		0x00,//[0x866] WOR         register,
		0x00,//[0x867] TCODE       register,
		0x10,//[0x868] SYNCS       register,
		0x20,//[0x869] CTR         register,
		0x00,//[0x86A] RCKS        register,
		0x00,//[0x86B] DET         register,	MVSEL = 0
		0x00,//[0x86C] DC          register,
		0x00,//PRE register,
		0x00,//PA register,
		0x00//INTF register,
};

const Uint8 code A9101_CODECTABLE[]=
{
    0x00,    //CODEC_ANACTL
    0x4C,    //CODEC_AGCCAL
    0x60,    //CODEC_AMP   
    0x6C,    //CODEC_PKCAL 
    0x00,    //CODEC_OSCAL1
    0x18,    //CODEC_OSCAL2
    0x07,    //CODEC_ADCDLY
    0x00,
    0x3F,    //CODEC_VOL  
    0x00,    //CODEC_SRSEL
    0x00,    //CODEC_STATE
    0x00,    //CODEC_ADCRB
    0x00,    //CODEC_DACWB
    0x00,
    0x00,    //CODEC_CODECTL  
    0x00,    //CODEC_TESTMODE 
    0xFF,    //CODEC_FSTEPLH  
    0x00,    //CODEC_FSTEPLH 
};
#endif