/********************************************************************
*   LIB_COPY_FUNCTION.H                                                 *
*   function Definitions                                            *
********************************************************************/


#ifndef _LIB_COPY_FUNCTION_H
#define _LIB_COPY_FUNCTION_H


/********************************************************************     
* NAME: X2X_DDP_MAMCPY
* 
* Uint8 set_dps :  Set SFR DPS to control Daul Data Pointer
*                   
*       *control bit*
*       =======================================================
*		    ID1 0x80 // ID1 bit - sets inc/dec opt. for DPTR1
*		    ID0 0x40 // ID0 bit - sets inc/dec opt. for DPTR0
*		    TSL 0x20 // TSL bit - sets toggle function
*		    AU  0x10 // AU1 bit - sets auto inc/dec for DPTR / DPTR1
*		    SEL 0x01 // SEL bit - Select active data pointer
*		    ========================================================
*		    Recommend: set_dps = AU + SEL 
*									
*  Uint8 *source : Source address (must be XDATA address) 
*
*  Uint8 *target : Target address (must be XDATA address)    
*
*  Uint8 length :  Total copy length (uint : byte) 
********************************************************************/

extern void X2X_DDP_MAMCPY(Uint8 set_dps, Uint8 *source, Uint8 *target ,Uint8 length);

/********************************************************************     
* NAME: R2X_DDP_MAMCPY
* 
* Uint8 set_dps :  Set SFR DPS to control Daul Data Pointer
*                   
*       *control bit*
*       =======================================================
*		    ID1 0x80 // ID1 bit - sets inc/dec opt. for DPTR1
*		    ID0 0x40 // ID0 bit - sets inc/dec opt. for DPTR0
*		    TSL 0x20 // TSL bit - sets toggle function
*		    AU  0x10 // AU1 bit - sets auto inc/dec for DPTR / DPTR1
*		    SEL 0x01 // SEL bit - Select active data pointer
*		    ========================================================
*		    Recommend: set_dps = AU + SEL 
*									
*  Uint8 *source : Source address (must be ROM address) 
*
*  Uint8 *target : Target address (must be XDATA address)    
*
*  Uint8 length :  Total copy length (uint : byte) 
********************************************************************/

extern void R2X_DDP_MAMCPY(Uint8 set_dps, Uint8 *source, Uint8 *target ,Uint8 length);

#endif
