/********************************************************************                                                                   **
**  Device: A9101                                                   *
**  File:   ISR.c                                                  *
**  Author: Achou                                                   *
**  Target: AMICCOM                                                 *
**  Tools:  ICE                                                     *
**  Created:  2015-05-25                                            *
**  Description:                                                    *
**  This file is a sample code for your reference.                  *
**                                                                  *
**  Copyright (C) 2012 AMICCOM Electronics Corp.                    *
**                                                                  *
**  Revision history:                                               *
**                                                                  *
**  Revision 0.0  2016/05/25                                        *
**  Initial version.                                                *
********************************************************************/
#define _ISR_C_

#include <intrins.h>
#include <absacc.h>
#include "..\include\define.h"
#include "..\include\A9101.h"
#include "..\include\globalVar.h"
#include "..\include\Lib_RF_Function.h"



/****************************************
*INT4ISR        *
****************************************/
void INT4ISR ( void ) interrupt 9
{
  Uint8 tmp;

  if ( A9101_ReadReg ( CODEC_STATE ) & 0x02 ) // ADC interrupt
  {
    A9101_ReadReg ( CODEC_ADCRB );
    tmp = A9101_ReadReg ( CODEC_ADCRB );
    CODECBUF[TxIndex][TXBufIndex ++] = tmp;

    if ( TXBufIndex >= 96 )
    {
      P3_4 = ~P3_4;
      TXBufIndex = 0;
      TxIndex = ~TxIndex;
      DataTxFlag = 1;
    }
  }
  if ( A9101_ReadReg ( CODEC_STATE ) & 0x01 )
  {
    A9101_WriteReg ( CODEC_DACWB, 0x00 );
    _nop_();
    A9101_WriteReg ( CODEC_DACWB, CODECBUF[RxIndex][RXBufIndex++] );

    if ( RXBufIndex >= 96 )
    {
      P3_5 = ~P3_5;
      Empty = 0;
      RXBufIndex = 0;
      RxIndex = ~RxIndex;
    }
  }

  EIF = 0x04; // write "1" to clear INT4F
}
void RFISR ( void ) interrupt 10
{
  EIF |= 0x08;  //clear flag
  RF_FLAG = 0;

}
/************************************************************************
**  Timer0ISR
************************************************************************/
void Timer0ISR ( void ) interrupt 1
{
  TH0 = ( 65536 - t0hrel ) >> 8;  //Reload Timer0 high byte, low byte
  TL0 = 65536 - t0hrel;
  TF0 = 0;

  timer++;
  if ( timer >= TIMEOUT )
  {
    TimeoutFlag = 1;
  }
}


