/********************************************************************                                                                   **
**  Device: A9101                                                   *
**  File:   main.c                                                  *
**  Author:                                                  `		*
**  Target: AMICCOM                                                 *
**  Tools:  ICE                                                     *
**  Created:  2018-11-09                                            *
**  Description:                                                    *
**  This file is a sample code for your reference.                  *
**                                                                  *
**  Copyright (C) 2012 AMICCOM Electronics Corp.                    *
**                                                                  *
**  Revision history:                                               *
**                                                                  *
**  Revision 0.0  2016/05/25                                        *
**  Initial version.                                                *
********************************************************************/
#define _MAIN_C_

#include<string.h>

#include "..\include\define.h"
#include "..\include\A9101.h"
#include "..\include\main.h"
#include "..\include\globalVar.h"
#include "..\include\Uti.h"
#include "..\include\Lib_CopyFunction.h"
#include "..\include\Lib_RF_Function.h"


/*********************************************************************
* main loop
*********************************************************************/
void main ( void )
{
	InitMCU();
	SetInterrupt();
  
	InitCrystalCL(56);  //CrystalCL 0x38(18pF)
	
	if (FAIL== InitRF())
	{
			/* Watchdog reset */
			/* User can use WDT function when RF cal. is failed.
//		EIE|=0x20;
//	
//		CKCON=0x00;	
//		CKCON=0x40;
//		CKCON=0x80;
//		CKCON=0xC0;
//		
//		EA=1;
//		
//		TA=0xAA;//timed access register procedure
//		TA=0x55;
//		WDCON=0x02;
		/* Watchdog reset End*/
		
		while(1); //InitRF FAIL
	}

	while(1)
	{
//Avoid failure when re-pairing
		A9101_WriteReg ( GIO1_REG, 0x1C ); //PDN_RX
		A9101_WriteReg ( GIO2_REG, 0x00 ); //WTR
		A9101_WriteReg ( CKO_REG,  0x00 ); //RCK
//===================================================
		A9101_Pair();	//if P0_3 == 0
		while(DeviceLink(ScanMode(Pin_ModeSelect)));
		A9101_Battery_Detect();
	}
}